Update from 1.1.15 to 2.0.2 or 2.1.0